;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Error checking helpers
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(define (assert test-val pred)
  (if (pred test-val)
      #t
      (error "ASSERT FAILED: " test-val pred)))

(define (assert-equal test-val expected-val)
  (assert test-val (lambda (t) (equal? t expected-val))))

(define (assert-f test-val)
  (assert-equal test-val #f))

(define (assert-t test-val)
  (assert-equal test-val #t))
